# Class CoffeeScriptCompileOptions

java.lang.Object
org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompileOptions

All Implemented Interfaces:
  `Serializable`

public class CoffeeScriptCompileOptions extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CoffeeScriptCompileOptions()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoding()`
`void`
`setEncoding(String encoding)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoffeeScriptCompileOptions

public CoffeeScriptCompileOptions()

## Method Details

### getEncoding

@Optional @Input public String getEncoding()

### setEncoding

public void setEncoding(String encoding)